package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.vo.MallOrganizeProductVo;
import com.caimei365.commodity.model.vo.PaginationVo;

import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/5/11
 */
public interface MallProductService {

    /**
     * 商品列表
     * @param productName
     * @return
     */
    ResponseJson<PaginationVo<MallOrganizeProductVo>> productList(String productName, int pageNum, int pageSize);

    /**
     * 外部商城商品详情
     * @param productId
     * @return
     */
    ResponseJson<Map<String, Object>> productInfo(Integer productId);
}
